<?xml version="1.0" ?>
<xsl:stylesheet version="1.0"
                xmlns:xsl="http://www.w3.org/1999/XSL/Transform" 
                xmlns:html="http://www.w3.org/TR/REC-html40/">

<xsl:template match="/">
<html>
<head>
  <title>Corso di <xsl:value-of select="/orariolezioni/titolocorso"/> - Piano delle lezioni</title>
</head>

<body bgcolor="white">

<center> 
<table width="50%" border="4" align="center" cellpadding="4">
 <tbody>
   <tr>
     <th align="center" valign="middle"> <br/>
     <h1>Corso di <xsl:value-of select="/orariolezioni/titolocorso"/></h1>
     </th>
   </tr>
 </tbody>
</table>

<h1>Piano delle lezioni</h1>

<table border="1" width="80%" cellpadding="2" cellspacing="2">
<tr>
  <th>Data</th>
  <th>Orario</th>
  <th>Istruttore</th>
  <th>Argomento</th>
</tr>
<xsl:for-each select="/orariolezioni/pianolezioni/lezione">
<xsl:if test="./istruttore[text()='Bouquet']">
<tr>
  <td><xsl:apply-templates select="./data"/>
  </td>
  <td><xsl:value-of select="./orario"/>
  </td>
  <td><xsl:value-of select="./istruttore"/>
  </td>
  <td><xsl:value-of select="./argomenti_trattati/argomento"/>
  </td>
</tr>
</xsl:if>
</xsl:for-each>
</table>

</center>

</body>
</html>

</xsl:template> 

<xsl:template match="/orariolezioni/pianolezioni/lezione/data">
      <xsl:value-of select="./giorno/@giornosettimana"/>,
      <xsl:text> </xsl:text>
      <xsl:value-of select="./giorno"/>/
      <xsl:value-of select="./mese"/>/
      <xsl:value-of select="./anno"/>
</xsl:template> 

</xsl:stylesheet>
